Skip to main content
PUT
Update timesheet by ID
Body raw (json)

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Body

application/json
user_id
integer
required

Existing user id.

clock_in_title
string
required
Maximum string length: 255
clock_in_method
enum<string>
required
Available options:
automatic,
manual
clock_in_time
integer
required

Unix timestamp.

clock_out_title
string | null
Maximum string length: 255
clock_out_method
enum<string> | null
Available options:
automatic,
manual
clock_out_time
integer | null

Unix timestamp.

clock_in_notes
string | null
Maximum string length: 255
clock_out_notes
string | null
Maximum string length: 255
clock_in_location
string
clock_out_location
string
job_id
integer | null

Existing job id.

subtask_id
integer | null

Existing subtask id.

type
enum<string> | null
Available options:
general,
job
is_historical
boolean | null

Response

Successful response

error
boolean

false when the request succeeds.

Example:

false

response
object

The updated record.